﻿/**Begin C:\PDM_UPGRADE\PDM1\PSSC_constraint.sql **/
 EXEC P_ALTERPK 'PK_PSSC_HANDLERS', 'T_PSSC_HANDLERS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_HANDLERS_FID') CREATE INDEX IDX_PSSC_HANDLERS_FID ON T_PSSC_HANDLERS ( FID );


 EXEC P_ALTERPK 'PK_PSSC_OPINION', 'T_PSSC_OPINION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_OPINION_NUMBER') CREATE INDEX IDX_PSSC_OPINION_NUMBER ON T_PSSC_OPINION ( FNUMBER );


 EXEC P_ALTERPK 'PK_PSSC_OPINION_L', 'T_PSSC_OPINION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_OPINION_L_FID') CREATE INDEX IDX_PSSC_OPINION_L_FID ON T_PSSC_OPINION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PSSC_OPINIONGROUP', 'T_PSSC_OPINIONGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_OPINIONGROUP_NO') CREATE INDEX IDX_PSSC_OPINIONGROUP_NO ON T_PSSC_OPINIONGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PSSC_OPINIONGROUP_L', 'T_PSSC_OPINIONGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_OPINIONGROUP_L_FID') CREATE INDEX IDX_PSSC_OPINIONGROUP_L_FID ON T_PSSC_OPINIONGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PSSC_PARTNERS', 'T_PSSC_PARTNERS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PARTNERS_FID') CREATE INDEX IDX_PSSC_PARTNERS_FID ON T_PSSC_PARTNERS ( FID );


 EXEC P_ALTERPK 'PK_PSSC_PRIORITY', 'T_PSSC_PRIORITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PRIORITY_NUMBER') CREATE INDEX IDX_PSSC_PRIORITY_NUMBER ON T_PSSC_PRIORITY ( FNUMBER );


 EXEC P_ALTERPK 'PK_PSSC_PRIORITY_L', 'T_PSSC_PRIORITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PRIORITY_L_FID') CREATE INDEX IDX_PSSC_PRIORITY_L_FID ON T_PSSC_PRIORITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PSSC_PURREQ', 'T_PSSC_PURREQ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PURREQ_FBILLNO') CREATE INDEX IDX_PSSC_PURREQ_FBILLNO ON T_PSSC_PURREQ ( FBILLNO );


 EXEC P_ALTERPK 'PK_PSSC_PURREQENTRY', 'T_PSSC_PURREQENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PURREQENTRY_CID') CREATE INDEX IDX_PSSC_PURREQENTRY_CID ON T_PSSC_PURREQENTRY ( FCATEGORYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PURREQENTRY_MID') CREATE INDEX IDX_PSSC_PURREQENTRY_MID ON T_PSSC_PURREQENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_PURREQENTRY_FID') CREATE INDEX IDX_PSSC_PURREQENTRY_FID ON T_PSSC_PURREQENTRY ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQ_ATTACH', 'T_PSSC_REQ_ATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQ_ATTACH_FID') CREATE INDEX IDX_PSSC_REQ_ATTACH_FID ON T_PSSC_REQ_ATTACH ( FENTRYID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOW', 'T_PSSC_REQFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOW_FNUMBER') CREATE INDEX IDX_PSSC_REQFLOW_FNUMBER ON T_PSSC_REQFLOW ( FNUMBER );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOW_L', 'T_PSSC_REQFLOW_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOW_L_FID') CREATE INDEX IDX_PSSC_REQFLOW_L_FID ON T_PSSC_REQFLOW_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOWMAIN', 'T_PSSC_REQFLOWMAIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOWMAIN_FID') CREATE INDEX IDX_PSSC_REQFLOWMAIN_FID ON T_PSSC_REQFLOWMAIN ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOWSUB', 'T_PSSC_REQFLOWSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOWSUB') CREATE INDEX IDX_PSSC_REQFLOWSUB ON T_PSSC_REQFLOWSUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOW_CATEGORY', 'T_PSSC_REQFLOW_CATEGORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOW_CATEGORY_FID') CREATE INDEX IDX_PSSC_REQFLOW_CATEGORY_FID ON T_PSSC_REQFLOW_CATEGORY ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOW_REQORG', 'T_PSSC_REQFLOW_REQORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOW_REQORG_FID') CREATE INDEX IDX_PSSC_REQFLOW_REQORG_FID ON T_PSSC_REQFLOW_REQORG ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQFLOW_PURORG', 'T_PSSC_REQFLOW_PURORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQFLOW_PURORG_FID') CREATE INDEX IDX_PSSC_REQFLOW_PURORG_FID ON T_PSSC_REQFLOW_PURORG ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQNODE', 'T_PSSC_REQNODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQNODE_FNUMBER') CREATE INDEX IDX_PSSC_REQNODE_FNUMBER ON T_PSSC_REQNODE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQNODE_FMASTERID') CREATE INDEX IDX_PSSC_REQNODE_FMASTERID ON T_PSSC_REQNODE ( FMASTERID );


 EXEC P_ALTERPK 'PK_PSSC_REQNODE_L', 'T_PSSC_REQNODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQNODE_L_FID') CREATE INDEX IDX_PSSC_REQNODE_L_FID ON T_PSSC_REQNODE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQNODE_L_FNAME') CREATE INDEX IDX_PSSC_REQNODE_L_FNAME ON T_PSSC_REQNODE_L ( FNAME );


 EXEC P_ALTERPK 'PK_PSSC_REQPOOL', 'T_PSSC_REQPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQPOOL_NUMBER') CREATE INDEX IDX_PSSC_REQPOOL_NUMBER ON T_PSSC_REQPOOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_PSSC_REQPOOL_A', 'T_PSSC_REQPOOL_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQPOOL_A_CID') CREATE INDEX IDX_PSSC_REQPOOL_A_CID ON T_PSSC_REQPOOL_A ( FCREATORID );


 EXEC P_ALTERPK 'PK_PSSC_REQPOOL_L', 'T_PSSC_REQPOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQPOOL_L_FID') CREATE INDEX IDX_PSSC_REQPOOL_L_FID ON T_PSSC_REQPOOL_L ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQPOOL_ATTACH', 'T_PSSC_REQPOOL_ATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQPOOL_ATTACH_FID') CREATE INDEX IDX_PSSC_REQPOOL_ATTACH_FID ON T_PSSC_REQPOOL_ATTACH ( FID );


 EXEC P_ALTERPK 'PK_PSSC_REQTARGET', 'T_PSSC_REQTARGET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQTARGET_FNUMBER') CREATE INDEX IDX_PSSC_REQTARGET_FNUMBER ON T_PSSC_REQTARGET ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQTARGET_FMASTERID') CREATE INDEX IDX_PSSC_REQTARGET_FMASTERID ON T_PSSC_REQTARGET ( FMASTERID );


 EXEC P_ALTERPK 'PK_PSSC_REQTARGET_L', 'T_PSSC_REQTARGET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQTARGET_L_FID') CREATE INDEX IDX_PSSC_REQTARGET_L_FID ON T_PSSC_REQTARGET_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_REQTARGET_L_FNAME') CREATE INDEX IDX_PSSC_REQTARGET_L_FNAME ON T_PSSC_REQTARGET_L ( FNAME );


 EXEC P_ALTERPK 'PK_PSSC_HANDLELOG', 'T_PSSC_HANDLELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSSC_HANDLELOG_BID') CREATE INDEX IDX_PSSC_HANDLELOG_BID ON T_PSSC_HANDLELOG ( FBILLID );



/**End C:\PDM_UPGRADE\PDM1\PSSC_constraint.sql **/
