﻿/**Begin C:\PDM_UPGRADE\PDM1\PSSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_HANDLERS') 
 CREATE TABLE T_PSSC_HANDLERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_OPINION') 
 CREATE TABLE T_PSSC_OPINION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_OPINION_L') 
 CREATE TABLE T_PSSC_OPINION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_OPINIONGROUP') 
 CREATE TABLE T_PSSC_OPINIONGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_OPINIONGROUP_L') 
 CREATE TABLE T_PSSC_OPINIONGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_PARTNERS') 
 CREATE TABLE T_PSSC_PARTNERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_PRIORITY') 
 CREATE TABLE T_PSSC_PRIORITY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_PRIORITY_L') 
 CREATE TABLE T_PSSC_PRIORITY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_PURREQ') 
 CREATE TABLE T_PSSC_PURREQ (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FREQTARGETID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENTAPPROVER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREQTITLE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FTAXTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMLOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSUBMITTERID BIGINT DEFAULT 0 NOT NULL,
FSUBMITDATE DATETIME,
FUNSUBMITTERID BIGINT DEFAULT 0 NOT NULL,
FUNSUBMITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_PURREQENTRY') 
 CREATE TABLE T_PSSC_PURREQENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALMODEL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICE_UOM INT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCFMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXITEMID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPURPOSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRIORITYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELIVERDATE DATETIME,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FREQUESTERID BIGINT DEFAULT 0 NOT NULL,
FREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FPURGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASERID BIGINT DEFAULT 0 NOT NULL,
FRECORGID BIGINT DEFAULT 0 NOT NULL,
FRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTATION CHAR(1) DEFAULT '0' NOT NULL,
FLOCPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXECQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXECBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQPOOLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQ_ATTACH') 
 CREATE TABLE T_PSSC_REQ_ATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOW') 
 CREATE TABLE T_PSSC_REQFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATCHFIELD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOW_L') 
 CREATE TABLE T_PSSC_REQFLOW_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOWMAIN') 
 CREATE TABLE T_PSSC_REQFLOWMAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEEDAUDIT CHAR(1) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOWSUB') 
 CREATE TABLE T_PSSC_REQFLOWSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL,
FISAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOW_CATEGORY') 
 CREATE TABLE T_PSSC_REQFLOW_CATEGORY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOW_REQORG') 
 CREATE TABLE T_PSSC_REQFLOW_REQORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQFLOW_PURORG') 
 CREATE TABLE T_PSSC_REQFLOW_PURORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQNODE') 
 CREATE TABLE T_PSSC_REQNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQNODE_L') 
 CREATE TABLE T_PSSC_REQNODE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQPOOL') 
 CREATE TABLE T_PSSC_REQPOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREQFLOWID BIGINT DEFAULT 0 NOT NULL,
FHANDLENODEID BIGINT DEFAULT 0 NOT NULL,
FHANDLESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FHOLDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLEUSERID BIGINT DEFAULT 0 NOT NULL,
FPURGROUPID BIGINT DEFAULT 0 NOT NULL,
FHANDLEORGID BIGINT DEFAULT 0 NOT NULL,
FACCEPTTIME DATETIME,
FFINISHTIME DATETIME,
FSURPLUSTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPINION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALMODEL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICE_UOM INT DEFAULT 0 NOT NULL,
FRESTOFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCFMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXITEMID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRIORITYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELIVERDATE DATETIME,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FREQUESTERID BIGINT DEFAULT 0 NOT NULL,
FREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FPURCHASERID BIGINT DEFAULT 0 NOT NULL,
FREQTARGETID BIGINT DEFAULT 0 NOT NULL,
FPROCESSORGID BIGINT DEFAULT 0 NOT NULL,
FPROCESSGROUPID BIGINT DEFAULT 0 NOT NULL,
FPROCESSERID BIGINT DEFAULT 0 NOT NULL,
FRECORGID BIGINT DEFAULT 0 NOT NULL,
FRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREQTITLE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FEXECQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXECBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQPOOL_A') 
 CREATE TABLE T_PSSC_REQPOOL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTATION CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FATTACHMENTCOUNT INT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISBALANCE CHAR(1) DEFAULT '0' NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQPOOL_L') 
 CREATE TABLE T_PSSC_REQPOOL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQPOOL_ATTACH') 
 CREATE TABLE T_PSSC_REQPOOL_ATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQTARGET') 
 CREATE TABLE T_PSSC_REQTARGET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_REQTARGET_L') 
 CREATE TABLE T_PSSC_REQTARGET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_HANDLELOG') 
 CREATE TABLE T_PSSC_HANDLELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FOPTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FHANDLEDATE DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\PSSC_table.sql **/
